#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,zbir=0;
    cin>>n>>x;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    sort(a,a+n);
    for(int i=0; i<n; i++)
    {
        zbir=zbir+abs(a[i]-x);
        x=a[i];
    }
    cout<<zbir<<endl;
}